GDB (xrefs)

Public Attributes | List of all members
type_stack Struct Reference

`#include "parser-defs.h"`

## Public Attributes
union type_stack_elt * | elements
int | depth
int | size

## Detailed Description

Definition at line 162 of file parser-defs.h.

## Member Data Documentation

## ◆ depth

int type_stack::depth

Definition at line 167 of file parser-defs.h.

Referenced by _initialize_parse(), append_type_stack(), follow_types(), get_type_stack(), insert_into_type_stack(), insert_type(), insert_type_address_space(), parse_exp_in_context_1(), pop_type(), pop_type_int(), pop_type_stack(), push_type(), push_type_int(), push_type_stack(), push_typelist(), and VEC().

## ◆ elements

union type_stack_elt* type_stack::elements

Definition at line 165 of file parser-defs.h.

Referenced by _initialize_parse(), append_type_stack(), get_type_stack(), insert_into_type_stack(), pop_type(), pop_type_int(), pop_type_stack(), push_type(), push_type_int(), push_type_stack(), push_typelist(), type_stack_cleanup(), and VEC().

## ◆ size

int type_stack::size

Definition at line 169 of file parser-defs.h.

Referenced by _initialize_parse(), and get_type_stack().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/parser-defs.h